'use strict';

const { merge } = require('webpack-merge');

const common = require('./webpack.common.js');
const PATHS = require('./paths');

// Merge webpack configuration files
const config = merge(common, {
  entry: {
    popup: PATHS.src + '/popup.js',
    service_worker: PATHS.src + '/service_worker.js',
    contentScript: PATHS.src + '/contentScript.js',
    jquery: 'jquery',
  },
});

module.exports = config;
